id: http://w3id.org/gaia-x/gx-trust-framework/data-account-export
name: data-account-export
version: "2210"
prefixes:
  linkml: https://w3id.org/linkml/
  gx: http://w3id.org/gaia-x/gx-trust-framework/
default_prefix: gx
imports:
  - linkml:types
default_range: string

classes:
  DataAccountExport:
    class_uri: gx:DataAccountExport
    description: 'List of methods to export data from your account out of the service.'
    attributes:
      requestType:
        required: true
        title: 'request type'
        description: 'The mean to request data retrieval: API, email, webform, unregisteredLetter, registeredLetter, supportCenter.'
        range: RequestTypeMeans
      accessType:
        required: true
        title: 'access type'
        description: 'Type of data support: digital, physical.'
        range: AccessTypeMeans
      formatType:
        required: true
        title: 'format type'
        description: 'Type of Media Types (formerly known as MIME types) as defined by the IANA.'
        range: string

enums:
  RequestTypeMeans:
    permissible_values:
      API:
      email:
      webform:
      unregisteredLetter:
      registeredLetter:
      supportCenter:

  AccessTypeMeans:
    permissible_values:
      digital:
      physical:
